DATE(1)

NAME
date - print or set the date and time

SYNOPSIS
date [-qsuS] [-r seconds] [[MMDDYY]hhmm[ss]] [+format]

OPTIONS

EXAMPLES

DESCRIPTION

With the -q flag or a numeric argument, date sets the GMT time and date. MMDDYY refers to the month, day, and year; hhmmss refers to the hour, minute and second. Each of the six fields must be exactly two digits, no more and no less. date always display the date and time, with the default format for the system. The -u flag request GMT time instead of local time. A format may be specified with a + followed by a printf-like string with the following options:

	%%  % character
	%A  Name of the day
	%B  Name of the month
	%D  mm/dd/yy
	%H  Decimal hour on 2 digits
	%I  Decimal hour modulo 12 on 2 digits
	%M  Decimal minute on 2 digits
	%S  Decimal seconds on 2 digits
	%T  HH:MM:SS
	%U  Decimal week number, Sunday being first day of week
	%W  Decimal week number, Monday being first day of week
	%X  Same as %T
	%Y  Decimal year on 4 digits
	%Z  Time Zone (if any)
	%a  Abbreviated name of the day
	%b  Abbreviated name of the month
	%c  Appropriate date & time (default format)
	%d  Decimal day of the month on 2 digits
	%e  Same as %d, but a space replaces leading 0
	%h  Same as %b
	%j  Decimal dey of the year on 3 digits
	%m  Decimal month on 2 digits
	%n  Newline character
	%p  AM or PM
	%r  12-hour clock time with AM/PM
	%s  Number of seconds since the epoch
	%t  Tab character
	%w  Decimal day of the week (0=Sunday)
	%x  Same as %D
	%y  Decimal year on 2 digits

SEE ALSO
time(2), ctime(3), readclock(8).